//console.log(window.location.pathname);
var pathArray = window.location.pathname.split('/');
//console.log(pathArray);
//console.log(pathArray);
var appName = pathArray[2];
//console.log("appName=" + appName);
/*
if (appName == "novi") {
    setCookie("appLabel", "Novi Communicator");
} else if (appName == "techupdates") {
    setCookie("appLabel", "Technology Updates");
} else {
    setCookie("appLabel", "Unknown");
}
setCookie("appName",appName,1);
*/

if (getCookie("id")) {
    console.log("Found ID Cookie: " + getCookie("id"));
    window.location.href = "/CollabCentral/" + appName + "/sendMessage.html";
} else {
    console.log("No ID Cookie found.");

    var randomNumber = Math.random().toString();
    randomNumber = randomNumber.substring(2, randomNumber.length);
    fetch('/CollabCentral/' + appName + '/authUrl')
        .then(res => res.text())
        .then((res) => {
            window.location.href = res + randomNumber;
        });
}

function getCookie(cname) {
    let name = cname + "=";
    let decodedCookie = decodeURIComponent(document.cookie);
    let ca = decodedCookie.split(';');
    for (let i = 0; i < ca.length; i++) {
        let c = ca[i];
        while (c.charAt(0) == ' ') {
            c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
            return c.substring(name.length, c.length);
        }
    }
    return "";
}

function setCookie(name, value, days) {
    var expires = "";
    if (days) {
      var date = new Date();
      date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
      expires = "; expires=" + date.toUTCString();
    }
    document.cookie = name + "=" + (value || "") + expires + "; path=/";
  }